Bug 172923 - Package fixes and cleanups for libgnomeprint22
Package fixes and cleanups for libgnomeprint22
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgnomeprint22 (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-11 07:18 EST by Matthias Saou
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-21 11:37:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file patch (5.97 KB, patch)
2005-11-11 07:18 EST, Matthias Saou
no flags Details | Diff

  None (edit)
Description Matthias Saou 2005-11-11 07:18:33 EST
Proposed patch to the current 2.12.1-3 spec file. Changes :

* Fri Nov 11 2005 Matthias Saou <http://freshrpms.net/> 2.12.1-4
- Explicitly disable rpath.
- Exclude static modules from the main package.
- Exclude static libraries from the devel package (useless).
- Don't own entire %{_datadir}/gtk-doc.
- Remove explicit pre/post /sbin/ldconfig deps (they're automatic with -p).
- Change PreReqs to more correct Requires.
- Fix devel summary.
- Add _smp_mflags to build.
Comment 1 Matthias Saou 2005-11-11 07:18:33 EST
Created attachment 120930 [details]
Spec file patch
Comment 2 Matthias Saou 2005-12-20 12:14:02 EST
This should be a quickie... any chances of taking care of it before FC5test2?
Comment 3 Kristian Høgsberg 2005-12-21 11:36:54 EST
Patch applied, package rebuilt.  Should be in rawhide tomorrow.  Thanks, Kristian

Note You need to log in before you can comment on or make changes to this bug.